MetalInternalFrameUI (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalInternalFrameUI
Keywords: javax.swing.plaf.metal.MetalInternalFrameUI class

Module java.desktop
Package javax.swing.plaf.metal

# Class MetalInternalFrameUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.InternalFrameUI
javax.swing.plaf.basic.BasicInternalFrameUI
javax.swing.plaf.metal.MetalInternalFrameUI

    public class MetalInternalFrameUI
    extends BasicInternalFrameUI

Metal implementation of JInternalFrame.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicInternalFrameUI

  `BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static String` | `IS_PALETTE` | The property `JInternalFrame.isPalette`.

  ### Fields declared in class javax.swing.plaf.basic.BasicInternalFrameUI

  `borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MetalInternalFrameUI​(JInternalFrame b)` | Constructs a new `MetalInternalFrameUI` instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected MouseInputAdapter` | `createBorderListener​(JInternalFrame w)` | Returns the `MouseInputAdapter` that will be installed on the TitlePane.
  `static ComponentUI` | `createUI​(JComponent c)` | Constructs a new `MetalInternalFrameUI` instance.
  `void` | `setPalette​(boolean isPalette)` | If `isPalette` is `true`, sets palette border and title

  ### Methods declared in class javax.swing.plaf.basic.BasicInternalFrameUI

  `activateFrame, closeFrame, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createNorthPane, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installDefaults, installKeyboardActions, installListeners, installMouseHandlers, installUI, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IS_PALETTE

    protected static String IS_PALETTE
    The property `JInternalFrame.isPalette`.

- ## Constructor Details

  - ### MetalInternalFrameUI

    public MetalInternalFrameUI​(JInternalFrame b)
    Constructs a new `MetalInternalFrameUI` instance.
    Parameters:
      `b` - an internal frame

- ## Method Details

  - ### createUI

    public static ComponentUI createUI​(JComponent c)
    Constructs a new `MetalInternalFrameUI` instance.
    Parameters:
      `c` - a component
    Returns:
      a new `MetalInternalFrameUI` instance

  - ### setPalette

    public void setPalette​(boolean isPalette)
    If `isPalette` is `true`, sets palette border and title
    Parameters:
      `isPalette` - if `true`, sets palette border and title

  - ### createBorderListener

    protected MouseInputAdapter createBorderListener​(JInternalFrame w)
    Returns the `MouseInputAdapter` that will be installed on the TitlePane.
    Overrides:
      `createBorderListener` in class `BasicInternalFrameUI`
    Parameters:
      `w` - the `JInternalFrame`
    Returns:
      the `MouseInputAdapter` that will be installed on the TitlePane.
    Since:
      1.6